package cokr.xit.fims.rcvm.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

import cokr.xit.fims.rcvm.Rcvmt;
import cokr.xit.fims.rcvm.RcvmQuery;
import cokr.xit.fims.rcvm.service.Rcvm01Service;

/**수납 대장 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-08-31	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("rcvm01Service")
public class Rcvm01ServiceBean extends AbstractServiceBean implements Rcvm01Service {

	/** 수납 대장 정보 Bean */
	@Resource(name = "rcvm01Bean")
	private Rcvm01Bean rcvm01Bean;

	@Override
	public List<DataObject> getRcvmtList(RcvmQuery req) {
		return rcvm01Bean.getRcvmtList(req);
	}

	@Override
	public List<DataObject> getRcvmts(RcvmQuery req) {
		return rcvm01Bean.getRcvmts(req);
	}

	@Override
	public boolean createRcvmt(Rcvmt rcvmt) {
		return rcvm01Bean.createRcvmt(rcvmt);
	}

	@Override
	public boolean updateRcvmt(Rcvmt rcvmt) {
		return rcvm01Bean.updateRcvmt(rcvmt);
	}

	@Override
	public boolean removeRcvmt(Rcvmt rcvmt) {
		return rcvm01Bean.removeRcvmt(rcvmt);
	}
}
